LANGUAGE = "en";

Strings = {};
Symbols = {};
UIOptions = {};

if Turbine.Engine.GetLanguage() == Turbine.Language.German then
	LANGUAGE = "de";
end
if Turbine.Engine.GetLanguage() == Turbine.Language.French then
	LANGUAGE = "fr";
end

if (LANGUAGE == "en") then 
	Strings["poetical"] = "Poetical";
	Strings["new"] = "New";
	Strings["edit"] = "Edit";
	Strings["delete"] = "Delete";
	Strings["filter"] = "Filter";
	Strings["no_filter"] = "- No Filter -";
	Strings["clear"] = "Clear";
	Strings["settings"] = "Settings";
	Strings["popout"] = "Pop-out";
	Strings["save"] = "Save";
	Strings["apply"] = "Apply";
	Strings["ok"] = "OK";
	Strings["cancel"] = "Cancel";
	Strings["new_poem"] = "New Poem";
	Strings["edit_poem_with_separator"] = "Edit Poem - ";
	Strings["delete_poem_with_separator"] = "Delete Poem - ";
	Strings["poem_name"] = "Poem Name";
	Strings["new_tag"] = "New Tag";
	Strings["new_tag_message"] = "Enter your new tag.\nMultiple tags can be entered separated with a comma";
	Strings["default_cmd"] = "Default Prefix";
	Strings["default_cmd_with_separator"] = "Default Prefix:";
	Strings["no_prefix"] = "No prefix";
	Strings["blankline_action"] = "Blank Line Action";
	Strings["no_action"] = "No action";
	Strings["comment_prefix"] = "Comment Prefix";
	Strings["delay"] = "Delay (Seconds)";
	Strings["no_delay"] = "No Delay";
	Strings["word_wrap"] = "Word wrap lines?";
	Strings["remember_position"] = "Remember position";
	Strings["tags"] = "Tags";
	Strings["find"] = "Find";
	Strings["replace"] = "Replace";
	Strings["replace_all"] = "Replace All";
	Strings["select_all"] = "Select All";
	Strings["show_each_line"] = "Show for each line";
	Strings["use_command"] = "Use command";
	Strings["use_global"] = "Use default settings";
	Strings["skip_line"] = "Skip line";
	Strings["windows_opacity"] = "Windows Opacity";
	Strings["toggle_button_opacity"] = "Toggle Button Opacity";
	Strings["exit_without_save"] = "Are you sure you wish to close this window without saving the poem?";
	Strings["poem_window_open"] = "Warning: This will overwrite any existing poem in the open Editor window";
	Strings["poem_title_required"] = "Poem title has not been specified";
	Strings["poem_text_required"] = "Poem text has not been specified";
	Strings["delete_confirmation"] = "Are you sure you wish to delete this poem?";
	Strings["settings_saved"] = "Poetical settings saved.";
	Strings["settings_notsaved"] = "Poetical settings not saved.";
	Strings["cmd_show"] = "show";
	Strings["cmd_popout1"] = "pop-out";
	Strings["cmd_popout2"] = "popout";
	Strings["cmd_hide"] = "hide";
	Strings["cmd_toggle"] = "toggle";
	Strings["usage"] = "usage: /poetical [show|hide|toggle]";
	Strings["cmd_help1"] = "show [\"Poem Name\"]: Display Poetical Window";
	Strings["cmd_help2"] = "hide: Hide Poetical Window";
	Strings["cmd_help3"] = "toggle: Toggle Poetical Window";
	
	Strings["display_action_bar"] = "Show Bookmark Bar";
	Strings["select_bookmark"] = "- Bookmarks -";
	Strings["delete_bookmark_warning"] = "Cannot delete bookmark whilst Editor Window is open";
	Strings["add_bookmark"] = "Add Bookmark";
	Strings["add_bookmark_message"] = "Enter the name of the bookmark";
	Strings["add_bookmark_warning"] = "Cannot add bookmark whilst Editor Window is open";
	Strings["invalid_bookmark"] = "Invalid bookmark name";
	
	Symbols["decimal_point"] = ".";
	
	UIOptions["wide_settings_button"] = false;
	UIOptions["wide_settings_dropdown"] = false;
	UIOptions["wide_popout_button"] = false;
	UIOptions["wide_add_tag_button"] = false;
	UIOptions["wide_replace_all_button"] = false;
	UIOptions["wide_select_all_button"] = false;
	UIOptions["wide_settings_label"] = false;
	UIOptions["wide_settings_radio_buttons"] = false;
	UIOptions["tall_word_wrap_label"] = false;
	UIOptions["wide_editor_label"] = false;
	UIOptions["wide_editor_radio_buttons"] = false;
elseif (LANGUAGE == "de") then
	Strings["poetical"] = "Poetical";
	Strings["new"] = "Neu";
	Strings["edit"] = "Bearbeiten";
	Strings["delete"] = "L\195\182schen";
	Strings["filter"] = "Filter";
	Strings["no_filter"] = "- Kein Filter -";
	Strings["clear"] = "Leeren";
	Strings["settings"] = "Einstellungen";
	Strings["popout"] = "Herausstellen";
	Strings["save"] = "Speichern";
	Strings["apply"] = "Anwenden";
	Strings["ok"] = "OK";
	Strings["cancel"] = "Abbrechen";
	Strings["new_poem"] = "Neues Gedicht";
	Strings["edit_poem_with_separator"] = "Gedicht bearbeiten - ";
	Strings["delete_poem_with_separator"] = "Gedicht l\195\182schen - ";
	Strings["poem_name"] = "Titel";
	Strings["new_tag"] = "Neue Markierung";
	Strings["new_tag_message"] = "Geben Sie Ihre neue Markierung ein.\nMehrere Markierungen k\195\182nnen mit Beistrichen getrennt eingegeben werden.";
	Strings["default_cmd"] = "Standard-Pr\195\164fix";
	Strings["default_cmd_with_separator"] = "Standard-Pr\195\164fix:";
	Strings["no_prefix"] = "Kein Praefix";
	Strings["blankline_action"] = "Leerzeilen-Aktion";
	Strings["no_action"] = "Keine Aktion";
	Strings["comment_prefix"] = "Kommentar-Pr\195\164fix";
	Strings["delay"] = "Verz\195\182gerung (Sek.)";
	Strings["no_delay"] = "Ohne Verz\195\182gerung";
	Strings["word_wrap"] = "Zeilen umbrechen?";
	Strings["remember_position"] = "Aktuelle Zeile merken";
	Strings["tags"] = "Markierungen";
	Strings["find"] = "Suchen";
	Strings["replace"] = "Ersetzen";
	Strings["replace_all"] = "Alle ersetzen";
	Strings["select_all"] = "Alle auswählen";
	Strings["show_each_line"] = "F\195\188r jede Zeile anzeigen";
	Strings["use_command"] = "Befehl benutzen";
	Strings["use_global"] = "Standard benutzen";
	Strings["skip_line"] = "Zeile \195\188berspringen";
	Strings["windows_opacity"] = "Fenster-Transparenz";
	Strings["toggle_button_opacity"] = "Umschaltknopf-Transparenz";
	Strings["exit_without_save"] = "Wollen Sie das Fenster schließen, ohne das Gedicht vorher abzuspeichern?";
	Strings["poem_window_open"] = "Achtung: Ein derzeit im Editor geöffnetes Gedicht wird damit überschrieben.";
	Strings["poem_title_required"] = "Titel des Gedichts fehlt";
	Strings["poem_text_required"] = "Text des Gedichts fehlt";
	Strings["delete_confirmation"] = "Sind Sie sicher, dass Sie das Gedicht loeschen wollen?";
	Strings["settings_saved"] = "Einstellungen fuer Poetical gespeichert.";
	Strings["settings_notsaved"] = "Einstellungen fuer Poetical nicht gespeichert.";
	Strings["cmd_show"] = "anzeigen";
	Strings["cmd_popout1"] = "herausstellen";
	Strings["cmd_popout2"] = "pop-out";
	Strings["cmd_popout3"] = "popout";
	Strings["cmd_hide"] = "verstecken";
	Strings["cmd_toggle"] = "umschalten";
	Strings["usage"] = "Aufruf: /poetical [anzeigen|verstecken|umschalten]";
	Strings["cmd_help1"] = "anzeigen [\"Titel\"]: Poetical-Fenster anzeigen";
	Strings["cmd_help2"] = "verstecken: Poetical-Fenster nicht anzeigen";
	Strings["cmd_help3"] = "umschalten: Sichtbarkeit des Poetical-Fensters umschalten";
	
	Strings["display_action_bar"] = "Lesezeichen-Leiste anzeigen";
	Strings["select_bookmark"] = "- Lesezeichen -";
	Strings["delete_bookmark_warning"] = "Kann Lesezeichen nicht loeschen waehrend das Editor-Fenster offen ist";
	Strings["add_bookmark"] = "Lesezeichen hinzufuegen";
	Strings["add_bookmark_message"] = "Name des Lesezeichens";
	Strings["add_bookmark_warning"] = "Kann Lesezeichen nicht hinzufuegen waehrend das Editor-Fenster offen ist";
	Strings["invalid_bookmark"] = "Ungueltiger Name fuer Lesezeichen";
	
	Symbols["decimal_point"] = ",";
	
	UIOptions["wide_settings_button"] = true;
	UIOptions["wide_settings_dropdown"] = true;
	UIOptions["wide_popout_button"] = true;
	UIOptions["wide_add_tag_button"] = true;
	UIOptions["wide_replace_all_button"] = false;
	UIOptions["wide_select_all_button"] = true;
	UIOptions["wide_settings_label"] = true;
	UIOptions["wide_settings_radio_buttons"] = true;
	UIOptions["tall_word_wrap_label"] = false;
	UIOptions["wide_editor_label"] = false;
	UIOptions["wide_editor_radio_buttons"] = false;
elseif (LANGUAGE == "fr") then
	Strings["poetical"] = "Poetical";
	Strings["new"] = "Nouveau";
	Strings["edit"] = "\195\137dition";
	Strings["delete"] = "Supprimer";
	Strings["filter"] = "Filtrer";
	Strings["no_filter"] = "- Aucun filtre -";
	Strings["clear"] = "Effacer";
	Strings["settings"] = "R\195\169glages";
	Strings["popout"] = "Pop-out";
	Strings["save"] = "Enregistrer";
	Strings["apply"] = "Valider";
	Strings["ok"] = "OK";
	Strings["cancel"] = "Annuler";
	Strings["new_poem"] = "Nouveau po\195\168me";
	Strings["edit_poem_with_separator"] = "\195\137diter po\195\168me - ";
	Strings["delete_poem_with_separator"] = "Supprimer po\195\168me - ";
	Strings["poem_name"] = "Titre du po\195\168me";
	Strings["new_tag"] = "Nouveau mot-cl\195\169";
	Strings["new_tag_message"] = "Saissisez votre nouveau mot-cl\195\169.\nOn peut saisir plusieurs mots-cl\195\169s separ\195\169s par un virgule";
	Strings["default_cmd"] = "Pr\195\169fixe par d\195\169faut";
	Strings["default_cmd_with_separator"] = "Pr\195\169fixe par d\195\169faut:";
	Strings["no_prefix"] = "Aucun pr\195\169fixe";
	Strings["blankline_action"] = "L'action d'une ligne vide";
	Strings["no_action"] = "Aucune action";
	Strings["comment_prefix"] = "Pr\195\169fixe du commentaire";
	Strings["delay"] = "Retard (en secondes)";
	Strings["no_delay"] = "Sans retard";
	Strings["word_wrap"] = "Renvoyer automatiquement à la ligne ?";
	Strings["remember_position"] = "Se rappeler la position";
	Strings["tags"] = "Mots-cl\195\169s";
	Strings["find"] = "Rechercher";
	Strings["replace"] = "Remplacer";
	Strings["replace_all"] = "Tout remplacer";
	Strings["select_all"] = "Sélectionner tout";
	Strings["show_each_line"] = "Afficher pour chaque ligne";
	Strings["use_command"] = "Utiliser la commande";
	Strings["use_global"] = "Utiliser les param\195\168tres par d\195\169faut";
	Strings["skip_line"] = "Sauter la ligne";
	Strings["windows_opacity"] = "Opacit\195\169 des fen\195\170tres";
	Strings["toggle_button_opacity"] = "Basculer l'opacit\195\169 des boutons";
	Strings["exit_without_save"] = "Êtes-vous sûr que vous voudriez fermer cette fenêtre sans enregistre la poème?";
	Strings["poem_window_open"] = "Attention : Cet action remplacera un poème existante dans la fenêtre ouverte";
	Strings["poem_title_required"] = "Vous n'avez pas d\195\169nomm\195\169 le po\195\168me";
	Strings["poem_text_required"] = "Vous n'avez pas sp\195\169cifi\195\169 le texte du po\195\168me";
	Strings["delete_confirmation"] = "\195\170tes-vous s\195\187r de vouloir supprimer ce po\195\168me?";
	Strings["settings_saved"] = "Les param\195\168tres de Poetical sont sauvegard\195\169s";
	Strings["settings_notsaved"] = "Les param\195\168tres de Poetical ne sont pas sauvegard\195\169s";
	Strings["cmd_show"] = "afficher";
	Strings["cmd_popout1"] = "pop-out";
	Strings["cmd_popout2"] = "popout";
	Strings["cmd_popout3"] = "\195\160 ressort";
	Strings["cmd_popout4"] = "a ressort";
	Strings["cmd_hide"] = "masquer";
	Strings["cmd_toggle"] = "basculer";
	Strings["usage"] = "utilisation: /poetical [afficher|masquer|basculer]";
	Strings["cmd_help1"] = "afficher [\"Titre du po\195\168me\"]: Afficher la fen\195\170tre Poetical";
	Strings["cmd_help2"] = "masquer: Masquer la fen\195\170tre Poetical";
	Strings["cmd_help3"] = "basculer: Basculer la fen\195\170tre Poetical";
	
	Strings["display_action_bar"] = "Montrer la barre de signets";
	Strings["select_bookmark"] = "- signets -";
	Strings["delete_bookmark_warning"] = "Impossible de supprimer le signet tandis que la fenêtre d’edition est ouverte";
	Strings["add_bookmark"] = "Ajouter un signet";
	Strings["add_bookmark_message"] = "Entrer le nom du signet";
	Strings["add_bookmark_warning"] = "Impossible d’ajouter le signet tandis que la fenêtre d’edition est ouverte";
	Strings["invalid_bookmark"] = "Nom du signet invalide";
	
	Symbols["decimal_point"] = ",";
	
	UIOptions["wide_settings_button"] = false;
	UIOptions["wide_settings_dropdown"] = false;
	UIOptions["wide_popout_button"] = false;
	UIOptions["wide_add_tag_button"] = true;
	UIOptions["wide_replace_all_button"] = true;
	UIOptions["wide_select_all_button"] = true;
	UIOptions["wide_settings_label"] = true;
	UIOptions["wide_settings_radio_buttons"] = true;
	UIOptions["tall_word_wrap_label"] = true;
	UIOptions["wide_editor_label"] = true;
	UIOptions["wide_editor_radio_buttons"] = true;
end

LowerCaseMap = {
	["\195\128"] = "\195\160", 
	["\195\129"] = "\195\161", 
	["\195\130"] = "\195\162", 
	["\195\131"] = "\195\163", 
	["\195\132"] = "\195\164", 
	["\195\133"] = "\195\165", 
	["\195\134"] = "\195\166", 
	["\195\135"] = "\195\167", 
	["\195\136"] = "\195\168", 
	["\195\137"] = "\195\169", 
	["\195\138"] = "\195\170", 
	["\195\139"] = "\195\171", 
	["\195\140"] = "\195\172", 
	["\195\141"] = "\195\173", 
	["\195\142"] = "\195\174", 
	["\195\143"] = "\195\175", 
	["\195\144"] = "\195\176", 
	["\195\145"] = "\195\177", 
	["\195\146"] = "\195\178", 
	["\195\147"] = "\195\179", 
	["\195\148"] = "\195\180", 
	["\195\149"] = "\195\181", 
	["\195\150"] = "\195\182", 
	["\195\152"] = "\195\184", 
	["\195\153"] = "\195\185", 
	["\195\154"] = "\195\186", 
	["\195\155"] = "\195\187", 
	["\195\156"] = "\195\188", 
	["\195\157"] = "\195\189", 
	["\195\158"] = "\195\190", 
	["\197\184"] = "\195\191", 
	["\196\128"] = "\196\129", 
	["\196\130"] = "\196\131", 
	["\196\132"] = "\196\133", 
	["\196\134"] = "\196\135", 
	["\196\136"] = "\196\137", 
	["\196\138"] = "\196\139", 
	["\196\140"] = "\196\141", 
	["\196\142"] = "\196\143", 
	["\196\144"] = "\196\145", 
	["\196\146"] = "\196\147", 
	["\196\148"] = "\196\149", 
	["\196\150"] = "\196\151", 
	["\196\152"] = "\196\153", 
	["\196\154"] = "\196\155", 
	["\196\156"] = "\196\157", 
	["\196\158"] = "\196\159", 
	["\196\160"] = "\196\161", 
	["\196\162"] = "\196\163", 
	["\196\164"] = "\196\165", 
	["\196\166"] = "\196\167", 
	["\196\168"] = "\196\169", 
	["\196\170"] = "\196\171", 
	["\196\172"] = "\196\173", 
	["\196\174"] = "\196\175", 
	["\196\176"] = "\196\177", 
	["\196\178"] = "\196\179", 
	["\196\180"] = "\196\181", 
	["\196\182"] = "\196\183", 
	["\196\185"] = "\196\186", 
	["\196\187"] = "\196\188", 
	["\196\189"] = "\196\190", 
	["\196\191"] = "\197\128", 
	["\197\129"] = "\197\130", 
	["\197\131"] = "\197\132", 
	["\197\133"] = "\197\134", 
	["\197\135"] = "\197\136", 
	["\197\138"] = "\197\139", 
	["\197\140"] = "\197\141", 
	["\197\142"] = "\197\143", 
	["\197\144"] = "\197\145", 
	["\197\146"] = "\197\147", 
	["\197\148"] = "\197\149", 
	["\197\150"] = "\197\151", 
	["\197\152"] = "\197\153", 
	["\197\154"] = "\197\155", 
	["\197\156"] = "\197\157", 
	["\197\158"] = "\197\159", 
	["\197\160"] = "\197\161", 
	["\197\162"] = "\197\163", 
	["\197\164"] = "\197\165", 
	["\197\166"] = "\197\167", 
	["\197\168"] = "\197\169", 
	["\197\170"] = "\197\171", 
	["\197\172"] = "\197\173", 
	["\197\174"] = "\197\175", 
	["\197\176"] = "\197\177", 
	["\197\178"] = "\197\179", 
	["\197\180"] = "\197\181", 
	["\197\182"] = "\197\183", 
	["\197\185"] = "\197\186", 
	["\197\187"] = "\197\188", 
	["\197\189"] = "\197\190"
}